/// <reference types="signale" />
declare const logLevels: readonly ["silent", "info", "debug", "trace"];
declare type LogLevel = typeof logLevels[number];
/** Change the log level for the CLI. */
export declare function setLogLevel(v: LogLevel): void;
/** Get the current log level for the CLI. */
export declare function getLogLevel(): "debug" | "info" | "silent" | "trace";
/** Pad the scope string to our default length. */
export declare function padScope(s: string, size?: number): string;
/** Create a logger scoped to a specific command. */
export declare function createLogger({ scope, interactive }: {
    /** A unique scope to identify your logs */
    scope: string;
    /** Create an interactive logger */
    interactive?: boolean;
}): import("signale").Signale<import("signale").DefaultMethods | "trace" | "skip" | "done" | "disable">;
export {};
//# sourceMappingURL=create-logger.d.ts.map