"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const find_up_1 = tslib_1.__importDefault(require("find-up"));
/** Determine the directory of the monorepo */
const getMonorepoRoot = (cwd = process.cwd()) => {
    try {
        const monorepoRoot = find_up_1.default.sync('lerna.json', {
            cwd
        });
        if (!monorepoRoot) {
            return '';
        }
        return path_1.default.dirname(monorepoRoot);
    }
    catch (error) {
        return '';
    }
};
exports.default = getMonorepoRoot;
//# sourceMappingURL=get-monorepo-root.js.map