"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const find_up_1 = tslib_1.__importDefault(require("find-up"));
/** Determine the directory of the repo */
const getRepoRoot = (cwd = process.cwd()) => {
    try {
        const repoRoot = find_up_1.default.sync('package.json', {
            cwd
        });
        if (!repoRoot) {
            return '';
        }
        return path_1.default.dirname(repoRoot);
    }
    catch (error) {
        return '';
    }
};
exports.default = getRepoRoot;
//# sourceMappingURL=get-repo-root.js.map