"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const fs_1 = require("fs");
const get_monorepo_root_1 = tslib_1.__importDefault(require("./get-monorepo-root"));
/** Get the lerna config and its location. */
function lerna() {
    const monorepoRoot = get_monorepo_root_1.default();
    if (!monorepoRoot) {
        return;
    }
    const lernaConfigFile = path_1.default.join(monorepoRoot, 'lerna.json');
    const lernaConfig = JSON.parse(fs_1.readFileSync(lernaConfigFile, 'utf-8'));
    return {
        configLocation: lernaConfigFile,
        version: lernaConfig.version,
        config: lernaConfig
    };
}
exports.default = lerna;
//# sourceMappingURL=lerna.js.map