"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const get_monorepo_root_1 = tslib_1.__importDefault(require("./get-monorepo-root"));
/**
 * Modifies the webpack config used for storybook and playroom by trying
 * to load the user's custom config.
 */
const loadUserWebpackConfig = (config, env) => {
    const customConfig = path_1.default.join(get_monorepo_root_1.default(), '.storybook/webpack.config.js');
    if (fs_1.default.existsSync(customConfig)) {
        // eslint-disable-next-line
        const userConfig = require(customConfig);
        return userConfig({ config, env });
    }
    return config;
};
exports.default = loadUserWebpackConfig;
//# sourceMappingURL=load-user-webpack-config.js.map