"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const get_monorepo_root_1 = tslib_1.__importDefault(require("./get-monorepo-root"));
const DEFAULT_NAME = 'monorepo';
/** Determine if the monorepo name contains a scope. */
function getScope(pkgName) {
    const match = pkgName.match(/@([\S]+)\//);
    if (!match) {
        return pkgName;
    }
    return match[1];
}
/** Determine the monorepo's name. */
const monorepoName = () => {
    try {
        const monorepoRoot = get_monorepo_root_1.default();
        if (!monorepoRoot) {
            return DEFAULT_NAME;
        }
        const pkgName = JSON.parse(fs_1.default.readFileSync(path_1.default.join(monorepoRoot, 'package.json'), 'utf-8')).name;
        let parsed = pkgName;
        if (pkgName && pkgName.startsWith('@')) {
            parsed = getScope(pkgName);
        }
        return parsed || DEFAULT_NAME;
    }
    catch (error) {
        return DEFAULT_NAME;
    }
};
exports.default = monorepoName;
//# sourceMappingURL=monorepo-name.js.map